ProviderException (Java Platform SE 8 )
Keywords: java.security.ProviderException class
Date: 2017-07-29

compact1, compact2, compact3
java.security

## Class ProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.security.ProviderException

- All Implemented Interfaces:
    Serializable

      public class ProviderException
      extends RuntimeException

  A runtime exception for Provider exceptions (such as misconfiguration errors or unrecoverable internal errors), which may be subclassed by Providers to throw specialized, provider-specific runtime errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderException()` Constructs a ProviderException with no detail message.
    `ProviderException(String s)` Constructs a ProviderException with the specified detail message.
    `ProviderException(String message, Throwable cause)` Creates a `ProviderException` with the specified detail message and cause.
    `ProviderException(Throwable cause)` Creates a `ProviderException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderException

          public ProviderException()

      Constructs a ProviderException with no detail message. A detail message is a String that describes this particular exception.

    - #### ProviderException

          public ProviderException(String s)

      Constructs a ProviderException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the detail message.

    - #### ProviderException

          public ProviderException(String message,
                                   Throwable cause)

      Creates a `ProviderException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### ProviderException

          public ProviderException(Throwable cause)

      Creates a `ProviderException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.